import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/model/message/message.dart';

class MessageItem extends StatelessWidget {
  final Message message;
  VoidCallback onPressed;

  MessageItem({Key key, this.message, this.onPressed}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    var thumbImg = new Container(
      width: 42,
      height: 42,
      decoration: BoxDecoration(
        shape: BoxShape.circle,
        image: new DecorationImage(
          image: new NetworkImage(message.icon),
        )
      ),
    );

    var contentImg = new Container(
      width: 48,
      height: 48,
      decoration: BoxDecoration(
        image: new DecorationImage(
          image: new NetworkImage(message.repliedContent.content),
        )
      ),
    );

    var titleRow = new Row(
      children: <Widget>[
        new Row (
           mainAxisAlignment: MainAxisAlignment.start,
           children: <Widget>[ 
              Text(message.name, style: TextStyle(color: Color(0xff323232), fontWeight: FontWeight.bold, fontSize: 13)),
              new Padding (
              padding: EdgeInsets.only(left: 8),
              child:   Text('评论了你', style: TextStyle(color: Color(0xff323232), fontSize: 13)),
             )
           ],
         ),
      ],
    );

    var contenRow = new Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: <Widget>[
        new Row (
           mainAxisAlignment: MainAxisAlignment.start,
           children: <Widget>[ 
              Text(message.content, style: TextStyle(color: Color(0xff323232), fontSize: 13)),
           ],
         ),
      ],
    );


    var timeRow = new Row(
      children: <Widget>[
        new Expanded(
          child: new Text(message.name),
        )
      ],
    );

    return new GestureDetector(
      onTap: onPressed,
      child: new Container(
          child: new Column(
            children: <Widget>[
              new Row(
                children: <Widget>[
                    new Padding(
                      padding: const EdgeInsets.only(left: 16, top: 20, bottom: 15),
                      child: new Container(
                        child: new Center(
                          child: thumbImg,
                        ),
                      ),
                    ),
                    new Expanded(
                      flex: 1,
                      child: new Padding(
                        padding: const EdgeInsets.all(10.0),
                        child: new Column(
                          children: <Widget>[
                            titleRow,
                            contenRow,
                            timeRow,
                          ],
                        ),
                      ),
                    ),
                    new Padding(
                      padding: const EdgeInsets.only(right: 16),
                      child: new Container(
                        child: new Center(
                            child: contentImg,
                        ),
                      ),
                    )
                  ],
              )
            ],
          ),
      ),
    );

  
  }
}
